Loading...
Searching...
No Matches
uhd::convert::id_type Struct Reference

Identify a conversion routine in the registry. More...

`#include <uhd/convert.hpp>`

Inheritance diagram for uhd::convert::id_type:
[legend]
Collaboration diagram for uhd::convert::id_type:
[legend]

## Public Member Functions

std::string | to_pp_string (void) const
std::string | to_string (void) const

## Public Attributes

std::string | input_format
size_t | num_inputs
std::string | output_format
size_t | num_outputs

## Detailed Description

Identify a conversion routine in the registry.

## Member Function Documentation

## to_pp_string()

std::string uhd::convert::id_type::to_pp_string | ( | void |  | ) | const

## to_string()

std::string uhd::convert::id_type::to_string | ( | void |  | ) | const

## Member Data Documentation

## input_format

std::string uhd::convert::id_type::input_format

## num_inputs

size_t uhd::convert::id_type::num_inputs

## num_outputs

size_t uhd::convert::id_type::num_outputs

## output_format

std::string uhd::convert::id_type::output_format

The documentation for this struct was generated from the following file:

- convert.hpp